Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.gui
Class GuiSymbols

    java.lang.Object
      org.ka2ddo.yaac.gui.GuiSymbols

    public class GuiSymbols

extends java.lang.Object

This singleton class is a caching container for all the types of station symbols supported by APRS.

Nested Class Summary
`static class` | `GuiSymbols.GuiSymbolImage` This class collects a symbol icon image with read-only attributes of the symbol that are commonly used but expensive to compute.

Field Summary
`static int` | `ICON_PIXEL_SIZE` The default size of an APRS symbol icon in pixels.

Method Summary
`static javax.swing.ImageIcon` | `getDblStationIcon(char symTableId, char symbolCode)` Get the 32x32 ImageIcon for a given symbol.
`static javax.swing.ImageIcon` | `getEmptyDblIcon()` Get a blank icon in double size (32x32).
`static javax.swing.ImageIcon` | `getStationIcon(char symTableId, char symbolCode)` Get the 16x16 ImageIcon for a given symbol.
`static void` | `loadExtendedSymbols()` Load the images for all APRS1.2 extended symbols known to this program.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ICON_PIXEL_SIZE

    public static final int ICON_PIXEL_SIZE

  The default size of an APRS symbol icon in pixels.

  See Also:
    Constant Field Values

Method Detail

### loadExtendedSymbols

    public static void loadExtendedSymbols()

  Load the images for all APRS1.2 extended symbols known to this program.

### getStationIcon

    public static javax.swing.ImageIcon getStationIcon(char symTableId,
                                                       char symbolCode)

  Get the 16x16 ImageIcon for a given symbol. If an overlaid symbol is specified (that has not been defined as an APRS 1.2 extension), automatically fall back to the corresponding alternate table symbol.

  Parameters:
    `symTableId` - char symbol table ID (or overlay code)
    `symbolCode` - char symbol code within the specified table
  Returns:
    ImageIcon for this symbol

### getDblStationIcon

    public static javax.swing.ImageIcon getDblStationIcon(char symTableId,
                                                          char symbolCode)

  Get the 32x32 ImageIcon for a given symbol. If an overlaid symbol is specified (that has not been defined as an APRS 1.2 extension), automatically fall back to the corresponding alternate table symbol.

  Parameters:
    `symTableId` - char symbol table ID (or overlay code)
    `symbolCode` - char symbol code within the specified table
  Returns:
    ImageIcon for this symbol

### getEmptyDblIcon

    public static javax.swing.ImageIcon getEmptyDblIcon()

  Get a blank icon in double size (32x32).

  Returns:
    ImageIcon of a completely transparent 32x32 image

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD